﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.WindowsAzure.StorageClient;

namespace StorageAbstraction.Tables
{
    public class CompletedTaskEntry : TableServiceEntity
    {
        public CompletedTaskEntry()
        {
            // consider partitioning by tenant. 
            // i.e. each tenant would have its own partition key
            PartitionKey = "ConvertedVideos";

            RowKey = Guid.NewGuid().ToString();
        }

        public Guid TaskId { get; set; }
        public string BlobName { get; set; }
        public DateTime TaskDateTime { get; set; }
    }
}
