﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using StorageAbstraction;
using System.IO;

namespace CloudVideoConverter
{
    internal enum MessageType
    {
        RequestWork = 0,
        ResponseWork = 2,
        GetVideoTaskMessage = 4
    }

    internal class BackGroundWorkerMessage
    {
        public MessageType Type { get; set; }
        public Guid TaskId { get; set; }
        public VideoTaskMessage ResponseMessage { get; set; }
        public string SaveToPath { get; set; }
        public string FileName { get; set; }
//        public StorageSubsystem StorageSystem { get; set; }
    }
}
